> For the complete documentation index, see [llms.txt](https://docs.sensepass.com/sensepay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sensepass.com/sensepay/transaction-api/models/processor-data-model.md).

# Processor Data Model

This model represents additional data that can be sent to the processor, currently used by Sola, TSYS and Stripe.

| field               | type   | description                                                                                                 | field name at processor                          |
| ------------------- | ------ | ----------------------------------------------------------------------------------------------------------- | ------------------------------------------------ |
| platformOrderNumber | string | order number                                                                                                | <p>Sola: xPONum<br>Tsys: PurchaseOrderNumber</p> |
| taxIndicator        | string | tax indicator                                                                                               | Tsys: Invoice.TaxIndicator                       |
| unitOfMeasure       | string | unit of measurement of a product                                                                            | Tsys: LineItem.UnitOfMeasure                     |
| shippingAmount      | string | shipping amount                                                                                             | Tsys: Invoice.ShippingAmount                     |
| extendedAmount      | string | extended amount of a product                                                                                | Tsys: LineItem.ExtendedAmount                    |
| totalTax            | string | total amount of tax                                                                                         | Sola: xTax                                       |
| payload             | object | key value pairs that will be sent to Stripe as metadata in the payment - <https://docs.stripe.com/metadata> | Stripe: metadata                                 |

### Example

Basic example of "processorData" object sent in the Transactions/Init request body

```json
"processorData": {
    "unitOfMeasure": "kg",
    "totalTax": "3",
    "payload": {
        "request_id": "d20f2b44-72c2-41de-80cc-d79452ae1a43",
        "ip_address": "161.239.206.69"
    },
    
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sensepass.com/sensepay/transaction-api/models/processor-data-model.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
